html, body{
    background-color: black;
    color: white;
}

.name{
    color: yellow;
}

.ver{
    margin-top: 20px;
}
.text > div{
    margin-left: 5px;
    border-left: solid gray 2px;
    padding-left: 5px;
}
.text > div > div{
    margin-left: 5px;
    border-left: solid gray 2px;
    padding-left: 5px;
}
.text > div > div::before{
    content: ">";
    padding-right: 5px;
}


a {
    transition: all 0.5s;
    text-shadow: 0px -10px 20px transparent;
    color: blue;
    position: relative; 
    text-decoration-line: none;
    filter: none;
}
a:hover{
    color: cyan;
    text-shadow: 0px 0px 5px white;
    z-index: 2;
}
a::before{
    transform: translate(0px, -2px);
    transition: all 0.5s;
    content: "^ ^ ^";
    font-family: fantasy;
    z-index: 2;
    text-shadow: 0px 0px 5px transparent;
    color: transparent;
    text-align: center;
    position: absolute;
    top: 200%;
    width: 100%;
    height: 100%;
    pointer-events: none;
    background-color: transparent;
    box-shadow: inset 0 0px 0 0 transparent;
}
a:hover::before{
    top: 100%;
    color: white;
    text-shadow: 0px 0px 5px white;
    box-shadow: inset 0 1px 0 0 cyan;
}
a > span{
    padding-left: 10px;
    position: absolute;
    width: 100%;
    color: transparent;
    pointer-events: none;
    transition: all 0.5s;
}
a:hover > span{
    color: cyan;
}

#bluring{
    transition: all 0.5s;
    position: fixed;
    inset: 0;
    backdrop-filter: blur(0px);
    z-index: 1;
    pointer-events: none;
}
#main:has(a:hover) ~ #bluring{
    backdrop-filter: blur(3px);
}